import{s as ve,n as ge,o as Te}from"../chunks/scheduler.f7e1785c.js";import{S as xe,i as be,g as r,s as i,r as M,A as Le,h as a,f as s,c as l,j as fe,u as H,x as u,k as he,y as $e,a as n,v as j,d as y,t as w,w as P}from"../chunks/index.9f8f0838.js";import{H as E,E as qe}from"../chunks/EditOnGithub.5a9bb8c5.js";function Se(se){let o,R,k,V,d,A,p,ne=`La tâche de synthèse vocale comporte une série de défis.
Tout d’abord, tout comme dans la reconnaissance automatique de la parole discutée précédemment, l’alignement entre le texte et la parole peut être délicat.<br/>
Cependant, contrairement à l’ASR,  le TTS est un problème d’association <strong>un-à-plusieurs</strong>, c’est-à-dire que le même texte peut être synthétisé de différentes manières. Pensez à la diversité des voix et des styles de parole dans le discours que vous entendez quotidiennement : chaque personne a une façon différente de prononcer la même phrase, mais elles sont toutes valides et correctes. Même des sorties différentes (spectrogrammes ou formes d’ondes audio) peuvent correspondre à la même réalité de terrain. Le modèle doit apprendre à générer la durée et le timing corrects pour chaque phonème, mot ou phrase, ce qui peut être difficile, en particulier pour les phrases longues et complexes.`,J,c,ie="Ensuite, il y a le problème de la dépendance : la langue a un aspect temporel, et comprendre le sens d’une phrase nécessite souvent de tenir compte du contexte des mots environnants. Il est crucial de s’assurer que le modèle de TTS capture et conserve les informations contextuelles sur de longues séquences pour générer un discours cohérent et naturel.",I,m,le=`Enfin, l’apprentissage des modèles de TTS nécessite généralement des paires de texte et des enregistrements vocaux correspondants. En plus de cela, pour s’assurer que le modèle peut générer un discours qui sonne naturel pour différents locuteurs et styles de parole, les données doivent contenir des échantillons de discours divers et représentatifs de plusieurs locuteurs. La collecte de ces données est coûteuse, prend du temps et, pour certaines langues, n’est pas réalisable. Vous vous demandez peut-être, pourquoi ne pas simplement prendre un jeu de données conçu pour l’ASR et l’utiliser pour entraîner un modèle TTS ? Malheureusement, ces jeux de données ne sont pas la meilleure option. Les caractéristiques qui le rendent bénéfique pour l’ASR, telles qu’un bruit de fond excessif, sont généralement indésirables dans le TTS. C’est génial de pouvoir transcrire la parole à partir d’un enregistrement bruyant d’une rue par exemple, mais pas tellement si votre assistant vocal vous répond avec des voitures qui klaxonnent et des bruits de travaux en arrière-plan. Néanmoins, certains jeux de données ASR peuvent parfois être utiles pour <em>finetuner</em>, car trouver des jeux de données de TTS de haute qualité, multilingues et multi-locuteurs peut être assez difficile.
Explorons quelques ensembles de données adaptés au TTS que vous pouvez trouver sur le  <em>Hub</em>.`,G,f,K,h,re='<a href="https://huggingface.co/datasets/lj_speech" rel="nofollow">LJSpeech</a> est un jeu de données composé de 13 100 échantillons audio de langue anglaise jumelés à leurs transcriptions correspondantes. Le jeu de données contient l’enregistrement d’un seul locuteur lisant des phrases de 7 livres en anglais. LJSpeech est souvent utilisé comme référence pour évaluer les modèles de TTS en raison de sa haute qualité audio et de son contenu linguistique diversifié.',U,v,D,g,ae=`[Multilingual LibriSpeech] (<a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">https://huggingface.co/datasets/facebook/multilingual_librispeech</a>) est une extension multilingue du jeu de données LibriSpeech, qui est à la base une collection à grande échelle de livres audio lus en anglais. LibriSpeech multilingue inclus des langues supplémentaires, telles que l’allemand, le néerlandais, l’espagnol, le français, l’italien, le portugais et le polonais.
Il propose des enregistrements audio ainsi que des transcriptions alignées pour chaque langue. Le jeu de données fournit une ressource précieuse pour développer des systèmes et techniques TTS de synthèse vocale multilingue.`,B,T,N,x,ue=`<a href="https://huggingface.co/datasets/vctk" rel="nofollow">VCTK</a> est un jeu de données spécialement conçu pour la recherche et le développement de synthèse vocale.
Il contient des enregistrements audio de 110 anglophones avec divers accents. Chaque orateur lit environ 400 phrases, qui ont été choisies dans un journal, et un paragraphe d’élicitation utilisé pour les archives de l’accent de la parole.
C’est une ressource précieuse pour l’entraînement de modèles de TTS avec des voix et des accents variés, permettant une synthèse vocale plus naturelle et diversifiée.`,O,b,Z,L,oe='<a href="https://huggingface.co/datasets/cdminix/libritts-r-aligned" rel="nofollow">Libri-TTS/ LibriTTS-R</a> est un corpus multi-locuteurs d’environ 585 heures de lecture de l’anglais, préparé par Heiga Zen avec l’aide des membres de l’équipe Google Speech et Google Brain. Le corpus LibriTTS est conçu pour la recherche. Il est dérivé des matériaux originaux (fichiers audio mp3 de LibriVox et fichiers texte du projet Gutenberg) du corpus LibriSpeech. Les principales différences par rapport au corpus LibriSpeech sont énumérées ci-dessous :',F,$,de="<li>Les fichiers audio sont à une fréquence d’échantillonnage de 24 kHz.</li> <li>Le discours est divisé lors des pauses de phrase.</li> <li>Les textes originaux et normalisés sont inclus.</li> <li>Des informations contextuelles (par exemple, des phrases voisines) peuvent être extraites.</li> <li>Les énoncés avec un bruit de fond important sont exclus.</li>",Q,q,pe="La conception d’un bon jeu de données pour le TTS n’est pas une tâche facile car un tel jeu de données devrait posséder plusieurs caractéristiques clés :",W,S,ce="<li>Enregistrements de haute qualité et diversifiés qui couvrent un large éventail de modèles de parole, d’accents, de langues et d’émotions. Les enregistrements doivent être clairs, exempts de bruit de fond et présenter des caractéristiques naturelles de la parole.</li> <li>Chaque enregistrement audio doit être accompagné de sa transcription textuelle correspondante.</li> <li>Le jeu de données doit contenir un large éventail de contenu linguistique, y compris différents types de phrases, de phrases et de mots. Il devrait couvrir divers sujets, genres et domaines pour assurer la capacité du modèle à gérer différents contextes linguistiques.</li>",X,_,me="La bonne nouvelle est qu’il est peu probable que vous ayez à entraîner un modèle de TTS à partir de zéro. Dans la section suivante, nous examinerons les modèles pré-entraînés disponibles sur le <em>Hub</em>.",Y,C,ee,z,te;return d=new E({props:{title:"Jeux de données de synthèse vocale",local:"jeux-de-données-de-synthèse-vocale",headingTag:"h1"}}),f=new E({props:{title:"LJSpeech",local:"ljspeech",headingTag:"h2"}}),v=new E({props:{title:"Multilingual LibriSpeech",local:"multilingual-librispeech",headingTag:"h2"}}),T=new E({props:{title:"VCTK ( Voice Cloning Toolkit )",local:"vctk--voice-cloning-toolkit-",headingTag:"h2"}}),b=new E({props:{title:"Libri-TTS/ LibriTTS-R",local:"libri-tts-libritts-r",headingTag:"h2"}}),C=new qe({props:{source:"https://github.com/huggingface/audio-transformers-course/blob/main/chapters/fr/chapter6/tts_datasets.mdx"}}),{c(){o=r("meta"),R=i(),k=r("p"),V=i(),M(d.$$.fragment),A=i(),p=r("p"),p.innerHTML=ne,J=i(),c=r("p"),c.textContent=ie,I=i(),m=r("p"),m.innerHTML=le,G=i(),M(f.$$.fragment),K=i(),h=r("p"),h.innerHTML=re,U=i(),M(v.$$.fragment),D=i(),g=r("p"),g.innerHTML=ae,B=i(),M(T.$$.fragment),N=i(),x=r("p"),x.innerHTML=ue,O=i(),M(b.$$.fragment),Z=i(),L=r("p"),L.innerHTML=oe,F=i(),$=r("ul"),$.innerHTML=de,Q=i(),q=r("p"),q.textContent=pe,W=i(),S=r("ul"),S.innerHTML=ce,X=i(),_=r("p"),_.innerHTML=me,Y=i(),M(C.$$.fragment),ee=i(),z=r("p"),this.h()},l(e){const t=Le("svelte-u9bgzb",document.head);o=a(t,"META",{name:!0,content:!0}),t.forEach(s),R=l(e),k=a(e,"P",{}),fe(k).forEach(s),V=l(e),H(d.$$.fragment,e),A=l(e),p=a(e,"P",{"data-svelte-h":!0}),u(p)!=="svelte-1axueuy"&&(p.innerHTML=ne),J=l(e),c=a(e,"P",{"data-svelte-h":!0}),u(c)!=="svelte-zzhckz"&&(c.textContent=ie),I=l(e),m=a(e,"P",{"data-svelte-h":!0}),u(m)!=="svelte-ocz6hc"&&(m.innerHTML=le),G=l(e),H(f.$$.fragment,e),K=l(e),h=a(e,"P",{"data-svelte-h":!0}),u(h)!=="svelte-5w705p"&&(h.innerHTML=re),U=l(e),H(v.$$.fragment,e),D=l(e),g=a(e,"P",{"data-svelte-h":!0}),u(g)!=="svelte-kdsh7y"&&(g.innerHTML=ae),B=l(e),H(T.$$.fragment,e),N=l(e),x=a(e,"P",{"data-svelte-h":!0}),u(x)!=="svelte-10j69e2"&&(x.innerHTML=ue),O=l(e),H(b.$$.fragment,e),Z=l(e),L=a(e,"P",{"data-svelte-h":!0}),u(L)!=="svelte-180t0d4"&&(L.innerHTML=oe),F=l(e),$=a(e,"UL",{"data-svelte-h":!0}),u($)!=="svelte-wba8o2"&&($.innerHTML=de),Q=l(e),q=a(e,"P",{"data-svelte-h":!0}),u(q)!=="svelte-u8wl84"&&(q.textContent=pe),W=l(e),S=a(e,"UL",{"data-svelte-h":!0}),u(S)!=="svelte-gm428i"&&(S.innerHTML=ce),X=l(e),_=a(e,"P",{"data-svelte-h":!0}),u(_)!=="svelte-sa06cv"&&(_.innerHTML=me),Y=l(e),H(C.$$.fragment,e),ee=l(e),z=a(e,"P",{}),fe(z).forEach(s),this.h()},h(){he(o,"name","hf:doc:metadata"),he(o,"content",_e)},m(e,t){$e(document.head,o),n(e,R,t),n(e,k,t),n(e,V,t),j(d,e,t),n(e,A,t),n(e,p,t),n(e,J,t),n(e,c,t),n(e,I,t),n(e,m,t),n(e,G,t),j(f,e,t),n(e,K,t),n(e,h,t),n(e,U,t),j(v,e,t),n(e,D,t),n(e,g,t),n(e,B,t),j(T,e,t),n(e,N,t),n(e,x,t),n(e,O,t),j(b,e,t),n(e,Z,t),n(e,L,t),n(e,F,t),n(e,$,t),n(e,Q,t),n(e,q,t),n(e,W,t),n(e,S,t),n(e,X,t),n(e,_,t),n(e,Y,t),j(C,e,t),n(e,ee,t),n(e,z,t),te=!0},p:ge,i(e){te||(y(d.$$.fragment,e),y(f.$$.fragment,e),y(v.$$.fragment,e),y(T.$$.fragment,e),y(b.$$.fragment,e),y(C.$$.fragment,e),te=!0)},o(e){w(d.$$.fragment,e),w(f.$$.fragment,e),w(v.$$.fragment,e),w(T.$$.fragment,e),w(b.$$.fragment,e),w(C.$$.fragment,e),te=!1},d(e){e&&(s(R),s(k),s(V),s(A),s(p),s(J),s(c),s(I),s(m),s(G),s(K),s(h),s(U),s(D),s(g),s(B),s(N),s(x),s(O),s(Z),s(L),s(F),s($),s(Q),s(q),s(W),s(S),s(X),s(_),s(Y),s(ee),s(z)),s(o),P(d,e),P(f,e),P(v,e),P(T,e),P(b,e),P(C,e)}}}const _e='{"title":"Jeux de données de synthèse vocale","local":"jeux-de-données-de-synthèse-vocale","sections":[{"title":"LJSpeech","local":"ljspeech","sections":[],"depth":2},{"title":"Multilingual LibriSpeech","local":"multilingual-librispeech","sections":[],"depth":2},{"title":"VCTK ( Voice Cloning Toolkit )","local":"vctk--voice-cloning-toolkit-","sections":[],"depth":2},{"title":"Libri-TTS/ LibriTTS-R","local":"libri-tts-libritts-r","sections":[],"depth":2}],"depth":1}';function Ce(se){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ye extends xe{constructor(o){super(),be(this,o,Ce,Se,ve,{})}}export{ye as component};
