import{s as it,f as st,n as rt,o as ut}from"../chunks/scheduler.f7e1785c.js";import{S as mt,i as ot,g as s,s as a,r as Y,A as ft,h as r,f as n,c as i,j as Z,u as tt,x as m,k as P,y as pt,a as l,v as et,d as nt,t as lt,w as at}from"../chunks/index.9f8f0838.js";import{H as ct,E as ht}from"../chunks/EditOnGithub.5a9bb8c5.js";function _t(G){let o,b,T,M,p,H,c,U="В этом разделе мы рассмотрим, как трансформеры могут быть использованы для преобразования устной речи в текст - задача, известная как <em>распознавание речи</em> (<em>speech recognition</em>).",L,f,F='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/asr_diagram.png" alt="Diagram of speech to text"/>',A,h,O=`Распознавание речи, известное также как автоматическое распознавание речи (automatic speech recognition - ASR) или преобразование речи в текст
(speech-to-text - STT), является одной из наиболее популярных и интересных задач обработки устной речи. Она используется в широком спектре приложений,
включая диктовку, голосовые помощники, субтитры к видео и транскрибацию переговоров / совещаний.`,j,_,V=`Возможно, вы уже не раз пользовались системой распознавания речи, даже не подозревая об этом! Возьмем, к примеру, цифрового ассистента в вашем смартфоне
(Siri, Google Assistant, Alexa). Когда вы пользуетесь такими помощниками, первое, что они делают, - это транскрибируют вашу устную речь в письменный
текст, готовый к использованию для решения последующих задач (например, для поиска прогноза погоды 🌤️).`,S,x,B=`Попробуйте воспользоваться демонстрацией распознавания речи, приведенной ниже. Вы можете записать себя с помощью микрофона или перетащить в окно образец
звука для расшифровки:`,y,u,J="",K,E,v,N=`Распознавание речи является сложной задачей, поскольку требует совместного знания в области звука и текста. Входной звук может содержать много фоновых
шумов и произноситься дикторами с разным акцентом, что затрудняет выделение произносимой речи. В письменном тексте могут присутствовать символы, не
имеющие акустического звучания, например, знаки препинания, которые трудно определить только по звуку. Все это - препятствия, которые нам приходится
преодолевать при создании эффективных систем распознавания речи!`,R,d,Q=`Теперь, когда мы определились с задачей, можно приступить к более детальному изучению распознавания речи. К концу этого раздела вы будете иметь хорошее
фундаментальное представление о различных доступных предварительно обученных моделях распознавания речи и о том, как использовать их с библиотекой
🤗 Transformers. Вы также узнаете о процедуре тонкой настройки ASR-модели на выбранный домен или язык, что позволит вам построить производительную
систему для решения любой задачи. Вы сможете продемонстрировать свою модель друзьям и близким, создав “живую” демонстрацию, которая воспринимает любую
устную речь и преобразует ее в текст!`,q,C,W="В частности, мы рассмотрим:",I,$,X='<li><a href="asr_models">Предварительно обученные модели для распознавания речи</a></li> <li><a href="choosing_dataset">Выбор набора данных</a></li> <li><a href="evaluation">Оценка и метрики для распознавания речи</a></li> <li><a href="fine-tuning">Как дообучить ASR-систему с помощью Trainer API</a></li> <li><a href="demo">Создание демо</a></li> <li><a href="hands_on">Практическое занятие</a></li>',k,g,z,w,D;return p=new ct({props:{title:"Чему вы научитесь и что создадите",local:"чему-вы-научитесь-и-что-создадите",headingTag:"h1"}}),g=new ht({props:{source:"https://github.com/huggingface/audio-transformers-course/blob/main/chapters/ru/chapter5/introduction.mdx"}}),{c(){o=s("meta"),b=a(),T=s("p"),M=a(),Y(p.$$.fragment),H=a(),c=s("p"),c.innerHTML=U,L=a(),f=s("div"),f.innerHTML=F,A=a(),h=s("p"),h.textContent=O,j=a(),_=s("p"),_.textContent=V,S=a(),x=s("p"),x.textContent=B,y=a(),u=s("iframe"),u.innerHTML=J,E=a(),v=s("p"),v.textContent=N,R=a(),d=s("p"),d.textContent=Q,q=a(),C=s("p"),C.textContent=W,I=a(),$=s("ul"),$.innerHTML=X,k=a(),Y(g.$$.fragment),z=a(),w=s("p"),this.h()},l(t){const e=ft("svelte-u9bgzb",document.head);o=r(e,"META",{name:!0,content:!0}),e.forEach(n),b=i(t),T=r(t,"P",{}),Z(T).forEach(n),M=i(t),tt(p.$$.fragment,t),H=i(t),c=r(t,"P",{"data-svelte-h":!0}),m(c)!=="svelte-bzcc7w"&&(c.innerHTML=U),L=i(t),f=r(t,"DIV",{class:!0,"data-svelte-h":!0}),m(f)!=="svelte-gouu61"&&(f.innerHTML=F),A=i(t),h=r(t,"P",{"data-svelte-h":!0}),m(h)!=="svelte-18pqcjj"&&(h.textContent=O),j=i(t),_=r(t,"P",{"data-svelte-h":!0}),m(_)!=="svelte-1dcxogg"&&(_.textContent=V),S=i(t),x=r(t,"P",{"data-svelte-h":!0}),m(x)!=="svelte-192q24l"&&(x.textContent=B),y=i(t),u=r(t,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0,"data-svelte-h":!0}),m(u)!=="svelte-aw0ubw"&&(u.innerHTML=J),E=i(t),v=r(t,"P",{"data-svelte-h":!0}),m(v)!=="svelte-1js5bd6"&&(v.textContent=N),R=i(t),d=r(t,"P",{"data-svelte-h":!0}),m(d)!=="svelte-jhyryp"&&(d.textContent=Q),q=i(t),C=r(t,"P",{"data-svelte-h":!0}),m(C)!=="svelte-13cji4f"&&(C.textContent=W),I=i(t),$=r(t,"UL",{"data-svelte-h":!0}),m($)!=="svelte-j5gekn"&&($.innerHTML=X),k=i(t),tt(g.$$.fragment,t),z=i(t),w=r(t,"P",{}),Z(w).forEach(n),this.h()},h(){P(o,"name","hf:doc:metadata"),P(o,"content",xt),P(f,"class","flex justify-center"),st(u.src,K="https://course-demos-whisper-small.hf.space")||P(u,"src",K),P(u,"frameborder","0"),P(u,"width","850"),P(u,"height","450")},m(t,e){pt(document.head,o),l(t,b,e),l(t,T,e),l(t,M,e),et(p,t,e),l(t,H,e),l(t,c,e),l(t,L,e),l(t,f,e),l(t,A,e),l(t,h,e),l(t,j,e),l(t,_,e),l(t,S,e),l(t,x,e),l(t,y,e),l(t,u,e),l(t,E,e),l(t,v,e),l(t,R,e),l(t,d,e),l(t,q,e),l(t,C,e),l(t,I,e),l(t,$,e),l(t,k,e),et(g,t,e),l(t,z,e),l(t,w,e),D=!0},p:rt,i(t){D||(nt(p.$$.fragment,t),nt(g.$$.fragment,t),D=!0)},o(t){lt(p.$$.fragment,t),lt(g.$$.fragment,t),D=!1},d(t){t&&(n(b),n(T),n(M),n(H),n(c),n(L),n(f),n(A),n(h),n(j),n(_),n(S),n(x),n(y),n(u),n(E),n(v),n(R),n(d),n(q),n(C),n(I),n($),n(k),n(z),n(w)),n(o),at(p,t),at(g,t)}}}const xt='{"title":"Чему вы научитесь и что создадите","local":"чему-вы-научитесь-и-что-создадите","sections":[],"depth":1}';function vt(G){return ut(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gt extends mt{constructor(o){super(),ot(this,o,vt,_t,it,{})}}export{gt as component};
